# type: test
# title: config edge cases
# description: some less stable options
# config:
#   { name: nested, value: "{var}", description: "should now be able to understand {enclosed} braces" }
#   { name: 'single_quoted', value: 'sq' }
# version: 0.7.8
# 
# Do all the settings!

import pytest
import pluginconf

@pytest.fixture
def config():
    return pluginconf.plugin_meta(fn=__file__)["config"]

def name(config):
    assert config[0]["value"] == "{var}"

def single_quotes(config):
    assert config[1]["value"] == "sq"

